Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBMessageBoard.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBMessageBoard.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBMessageBoard

public final class DBMessageBoard.Row
extends Object
implements DBRow

Field Summary
`String` | `message`

Constructor Summary
`DBMessageBoard.Row(int MBId, DBUser.Row user, DBSystem.Row system, String status, String message)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`void` | `delete()`
`boolean` | `equals(Object o)`
`Object` | `getKey()`
`List` | `getKeys()`
`int` | `getMBId()`
`DBSystem.Row` | `getSystem()`
`DBUser.Row` | `getUser()`
`void` | `setSDO(SDO sdo)`
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    public String message

Constructor Detail

### DBMessageBoard.Row

    public DBMessageBoard.Row(int MBId,
                              DBUser.Row user,
                              DBSystem.Row system,
                              String status,
                              String message)

Method Detail

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### update

    public void update()
                throws Exception

### delete

    public void delete()
                throws Exception

### getMBId

    public int getMBId()

### getUser

    public DBUser.Row getUser()

### getSystem

    public DBSystem.Row getSystem()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### setSDO

    public void setSDO(SDO sdo)

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD